import math

def evaluate(ind):
    x = ind['genotype']
    f = 1.0
    for i in range(3):
        t = 0
        for j in range(1, 6):
            t = t + j * math.cos((j+1) * x[i] + j)
        f = f * t
    ind['objective'] = 1.0*f
if __name__ == '__main__':
    a = [-0.800321121488, 4.85805675857, -7.08350635942]
    x = {'genotype':a}
    evaluate(x)
    print(x['objective'])
